<html>
<head>
    <link rel="stylesheet" type="text/css" href="/css/juxt.css">
    <script src="/js/juxt.js"></script>
</head>
<style>
    body {
        background-image: url('data:image/png;base64,[encoded data, 81576 characters]');
        background-size: 100%;
        background-repeat: repeat !important;
    }
</style>
<script>
    var experience = 0;
    var notifications = false;
    function selectExperience(type) {
        document.getElementById('beginner').classList.remove('selected');
        document.getElementById('intermediate').classList.remove('selected');
        document.getElementById('expert').classList.remove('selected');
        switch (type) {
            case 0:
                document.getElementById("beginner").classList.add('selected');
                experience = 0;
                break;
            case 1:
                document.getElementById("intermediate").classList.add('selected');
                experience = 1;
                break;
            case 2:
                document.getElementById("expert").classList.add('selected');
                experience = 2;
                break;

        }
        //wiiuSound.playSoundByName("SE_OLV_OK", 1);
    }
    function submit() {
        var xmlhttp = new XMLHttpRequest();   // new HttpRequest instance
        var theUrl = "/titles/show/newUser";
        xmlhttp.open("POST", theUrl);
        xmlhttp.setRequestHeader("Content-Type", "application/json;charset=UTF-8");
        xmlhttp.send(JSON.stringify({ "experience": experience, "notifications": notifications  }));
    }
</script>
<body>
<div id="welcome" class="top-screen" style="display: block">
    <h1 class="about-header">Welcome to Juxtaposition!</h1>
    <div class="about-body">
        <p>
            Juxt is a gaming community that connects people from all over the world using Mii characters.
            Use Juxt to share your gaming experiences and meet people from around the world.
        </p>
    </div>
    <button class="about-button" style="margin-left: 75px" onclick="exit()">Exit</button>
    <button class="about-button" style="margin-left: 225px;"
            onclick="cave.snd_playSe('SE_OLV_OK');
                         document.getElementById('ready').style.display = 'block';
                         document.getElementById('welcome').style.display = 'none';">Next</button>
</div>

<div id="ready" class="top-screen" style="display: none;">
    <h1 class="about-header">Guest Mode</h1>
    <div class="about-body">
        <p>
            We can't verify your account at the moment, which likely means your are currently
            logging in with a Nintendo Network account. You will still be able to browse juxt,
            but you will not be able to Yeah! posts or make posts of your own till you log in
            with a Pretendo Network account. For more information check the Discord server.
        </p>
    </div>
    <button class="about-button" style="margin-left: 75px; margin-top: 210px; width: 250px;"
            onclick="cave.snd_playSe('SE_OLV_OK');cave.transition_begin();cave.snd_playBgm('BGM_CAVE_SYOKAI2');window.location.replace('/communities')">I Understand</button>
    <!--<button class="about-button" style="margin-left: 50px;"
            onclick="wiiuSound.playSoundByName('SE_OLV_CANCEL', 1);
                         document.getElementById('game-experience').style.display = 'block';
                         document.getElementById('ready').style.display = 'none';">Back</button>
    <button class="about-button" style="margin-left: 625px;"
            onclick="wiiuSound.playSoundByName('SE_WAVE_MENU', 1);
                         document.getElementById('have-fun').style.display = 'block'
                         document.getElementById('ready').style.display = 'none';
                         wiiuSound.playSoundByName('JGL_OLV_INIT_END', 3);
                         submit()">Next</button>-->
</div>

<body onload="cave.snd_playBgm('BGM_CAVE_SYOKAI');">
</body>
</html>